package sgc.portal.cw.cw1305.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0605.model.CW06050001U;
import sgc.portal.cw.cw1305.dto.CW13050001USearch;
import sgc.portal.cw.cw1305.model.CW13050001U;
import sgc.portal.cw.cw1305.service.CW13050001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1305")
public class CW13050001UController {
    private final CW13050001UService service;

    public CW13050001UController(CW13050001UService service) {
        this.service = service;
    }

    @PostMapping("/CW13050001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW13050001USearch search) {
        return service.getList(search);
    }

    @PostMapping("/CW13050001U/save")
    public void save(@RequestBody CW13050001U cW13050001U) {
    	service.save(cW13050001U);
    }

    @PostMapping("/CW13050001U/del")
    public void del(@RequestBody CW13050001U cW13050001U) {
    	service.del(cW13050001U);
    }
}
